#include <Arduino.h>
#include <TinyGPS++.h>

#include "settings.h"
#include "random.h"
#include "gps.h"


void setup() {
	Serial.begin(BAUD_PC);
	
	random_begin();
	
	
	gps_begin();
	TinyGPSLocation loc = gps_location();
	gps_end();
	
	Serial.print("[main] Location: ("); Serial.print(loc.lat()); Serial.print(", "); Serial.print(loc.lng()); Serial.println();
	
	uint32_t id = random_get();
	
	Serial.print("[main] id: ");
	Serial.println(id);
	
}

void loop() {
	
}
